net.sf.jasperreports.engine.export

## Interface ExporterNature

- All Superinterfaces:
    ExporterFilter
  All Known Implementing Classes:
    AbstractExporterNature, JExcelApiExporterNature, JRCsvExporterNature, JRDocxExporterNature, JRHtmlExporterNature, JROdsExporterNature, JROdtExporterNature, JROfficeOpenXmlExporterNature, JROpenDocumentExporterNature, JRXlsAbstractExporterNature, JRXlsExporterNature, JRXlsMetadataExporterNature, JRXlsxExporterNature

      public interface ExporterNature
      extends ExporterFilter

  Version:
    $Id: ExporterNature.java 6076 2013-04-18 09:41:58Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isBreakAfterRow(JRPrintElement element)`
    `boolean` | `isBreakBeforeRow(JRPrintElement element)`
    `boolean` | `isDeep(JRPrintFrame frame)` Specified whether to include in the grid sub elements of a given `frame` element.
    `boolean` | `isHorizontallyMergeEmptyCells()` Flag that specifies that empty cells are to be horizontally merged.
    `boolean` | `isIgnoreLastRow()`
    `boolean` | `isIgnorePageMargins()` Specifies whether empty page margins should be ignored
    `boolean` | `isSpanCells()` Specifies whether the exporter handles cells span
    `void` | `setXProperties(CutsInfo xCuts, JRPrintElement element, int row1, int col1, int row2, int col2)`
    `void` | `setXProperties(java.util.Map<java.lang.String,java.lang.Object> xCutsProperties, JRPrintElement element)`
    `void` | `setYProperties(CutsInfo yCuts, JRPrintElement element, int row1, int col1, int row2, int col2)`
    `void` | `setYProperties(java.util.Map<java.lang.String,java.lang.Object> yCutsProperties, JRPrintElement element)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.ExporterFilter

      `isToExport`

- - ### Method Detail

    - #### isDeep

          boolean isDeep(JRPrintFrame frame)

      Specified whether to include in the grid sub elements of a given `frame` element.

    - #### isSpanCells

          boolean isSpanCells()

      Specifies whether the exporter handles cells span

    - #### isIgnoreLastRow

          boolean isIgnoreLastRow()

    - #### isIgnorePageMargins

          boolean isIgnorePageMargins()

      Specifies whether empty page margins should be ignored

    - #### isBreakBeforeRow

          boolean isBreakBeforeRow(JRPrintElement element)

    - #### isBreakAfterRow

          boolean isBreakAfterRow(JRPrintElement element)

    - #### isHorizontallyMergeEmptyCells

          boolean isHorizontallyMergeEmptyCells()

      Flag that specifies that empty cells are to be horizontally merged.

      If the flag is set and this nature is `deep`, the nature is required to `export` `frames`.

      Returns:
        whether empty cells are to be horizontally merged

    - #### setXProperties

          void setXProperties(CutsInfo xCuts,
                            JRPrintElement element,
                            int row1,
                            int col1,
                            int row2,
                            int col2)

    - #### setXProperties

          void setXProperties(java.util.Map<java.lang.String,java.lang.Object> xCutsProperties,
                            JRPrintElement element)

    - #### setYProperties

          void setYProperties(CutsInfo yCuts,
                            JRPrintElement element,
                            int row1,
                            int col1,
                            int row2,
                            int col2)

    - #### setYProperties

          void setYProperties(java.util.Map<java.lang.String,java.lang.Object> yCutsProperties,
                            JRPrintElement element)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com